# Generated by Django 5.0.6 on 2024-05-30 13:48

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('prompt', '0010_chathistory_username_from_id_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Tool',
            fields=[
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, default=None, editable=False, null=True)),
                ('id', models.CharField(db_index=True, max_length=255, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Agent',
            fields=[
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, default=None, editable=False, null=True)),
                ('id', models.CharField(db_index=True, max_length=255, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=255)),
                ('goal', models.TextField(blank=True, null=True)),
                ('prompt', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='prompt.prompt')),
                ('role', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='prompt.role')),
                ('tools', models.ManyToManyField(to='prompt.tool')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, default=None, editable=False, null=True)),
                ('id', models.CharField(db_index=True, max_length=255, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=255)),
                ('agent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='prompt.agent')),
                ('prompt', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='prompt.prompt')),
                ('tools', models.ManyToManyField(to='prompt.tool')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Crew',
            fields=[
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, default=None, editable=False, null=True)),
                ('id', models.CharField(db_index=True, max_length=255, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('memory', models.BooleanField(default=True)),
                ('agents', models.ManyToManyField(to='prompt.agent')),
                ('prompt', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='prompt.prompt')),
                ('tasks', models.ManyToManyField(to='prompt.task')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
